MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
MyGUI::OverlappedLayer Class Reference

`#include <MyGUI_OverlappedLayer.h>`

Inheritance diagram for MyGUI::OverlappedLayer:
[legend]

## Public Types
typedef RTTIBase | Base
typedef OverlappedLayer | RTTIBase
Public Types inherited from MyGUI::ILayer
typedef RTTIBase | Base
typedef ILayer | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| OverlappedLayer ()
virtual | ~OverlappedLayer ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)
virtual ILayerNode * | createChildItemNode ()
virtual void | destroyChildItemNode (ILayerNode *_node)
virtual void | upChildItemNode (ILayerNode *_node)
virtual EnumeratorILayerNode | getEnumerator () const
virtual size_t | getLayerNodeCount () const
virtual ILayerNode * | getLayerNodeAt (size_t _index) const
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual IntPoint | getPosition (int _left, int _top) const
virtual const IntSize & | getSize () const
virtual void | renderToTarget (IRenderTarget *_target, bool _update)
virtual void | resizeView (const IntSize &_viewSize)
bool | isOutOfDate () const
Public Member Functions inherited from MyGUI::ILayer
template<typename Type >
bool | isType () const
| ILayer ()
virtual | ~ILayer ()
const std::string & | getName () const
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ILayer
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Attributes
bool | mIsPick
VectorILayerNode | mChildItems
bool | mOutOfDate
IntSize | mViewSize
Protected Attributes inherited from MyGUI::ILayer
std::string | mName

## Detailed Description

Definition at line 17 of file MyGUI_OverlappedLayer.h.

## Member Typedef Documentation

typedef RTTIBase MyGUI::OverlappedLayer::Base

Definition at line 20 of file MyGUI_OverlappedLayer.h.

typedef OverlappedLayer MyGUI::OverlappedLayer::RTTIBase

Definition at line 20 of file MyGUI_OverlappedLayer.h.

## Constructor & Destructor Documentation

MyGUI::OverlappedLayer::OverlappedLayer | ( |  | ) |

Definition at line 16 of file MyGUI_OverlappedLayer.cpp.

MyGUI::OverlappedLayer::~OverlappedLayer | ( |  | ) |
| virtual

Definition at line 23 of file MyGUI_OverlappedLayer.cpp.

## Member Function Documentation

ILayerNode * MyGUI::OverlappedLayer::createChildItemNode | ( |  | ) |
| virtual

Implements MyGUI::ILayer.

Definition at line 52 of file MyGUI_OverlappedLayer.cpp.

void MyGUI::OverlappedLayer::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| virtual

Reimplemented from MyGUI::ISerializable.

Definition at line 28 of file MyGUI_OverlappedLayer.cpp.

void MyGUI::OverlappedLayer::destroyChildItemNode | ( | ILayerNode * | _node | ) |
| virtual

Implements MyGUI::ILayer.

Definition at line 63 of file MyGUI_OverlappedLayer.cpp.

static const std::string& MyGUI::OverlappedLayer::getClassTypeName | ( |  | ) |
| inline static

Definition at line 20 of file MyGUI_OverlappedLayer.h.

EnumeratorILayerNode MyGUI::OverlappedLayer::getEnumerator | ( |  | ) | const
| virtual

Implements MyGUI::ILayer.

Definition at line 162 of file MyGUI_OverlappedLayer.cpp.

ILayerItem * MyGUI::OverlappedLayer::getLayerItemByPoint | ( | int | _left,
|  | int | _top
| ) |  | const
| virtual

Implements MyGUI::ILayer.

Definition at line 125 of file MyGUI_OverlappedLayer.cpp.

ILayerNode * MyGUI::OverlappedLayer::getLayerNodeAt | ( | size_t | _index | ) | const
| virtual

Implements MyGUI::ILayer.

Definition at line 172 of file MyGUI_OverlappedLayer.cpp.

size_t MyGUI::OverlappedLayer::getLayerNodeCount | ( |  | ) | const
| virtual

Implements MyGUI::ILayer.

Definition at line 167 of file MyGUI_OverlappedLayer.cpp.

IntPoint MyGUI::OverlappedLayer::getPosition | ( | int | _left,
|  | int | _top
| ) |  | const
| virtual

Implements MyGUI::ILayer.

Definition at line 141 of file MyGUI_OverlappedLayer.cpp.

const IntSize & MyGUI::OverlappedLayer::getSize | ( |  | ) | const
| virtual

Implements MyGUI::ILayer.

Definition at line 179 of file MyGUI_OverlappedLayer.cpp.

virtual const std::string& MyGUI::OverlappedLayer::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::ILayer.

Definition at line 20 of file MyGUI_OverlappedLayer.h.

bool MyGUI::OverlappedLayer::isOutOfDate | ( |  | ) | const

Definition at line 184 of file MyGUI_OverlappedLayer.cpp.

virtual bool MyGUI::OverlappedLayer::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::ILayer.

Definition at line 20 of file MyGUI_OverlappedLayer.h.

template<typename Type >

bool MyGUI::OverlappedLayer::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 20 of file MyGUI_OverlappedLayer.h.

void MyGUI::OverlappedLayer::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update
| ) |  |
| virtual

Implements MyGUI::ILayer.

Definition at line 146 of file MyGUI_OverlappedLayer.cpp.

void MyGUI::OverlappedLayer::resizeView | ( | const IntSize & | _viewSize | ) |
| virtual

Implements MyGUI::ILayer.

Definition at line 154 of file MyGUI_OverlappedLayer.cpp.

void MyGUI::OverlappedLayer::upChildItemNode | ( | ILayerNode * | _node | ) |
| virtual

Implements MyGUI::ILayer.

Definition at line 93 of file MyGUI_OverlappedLayer.cpp.

## Field Documentation

VectorILayerNode MyGUI::OverlappedLayer::mChildItems
| protected

Definition at line 59 of file MyGUI_OverlappedLayer.h.

bool MyGUI::OverlappedLayer::mIsPick
| protected

Definition at line 58 of file MyGUI_OverlappedLayer.h.

bool MyGUI::OverlappedLayer::mOutOfDate
| protected

Definition at line 60 of file MyGUI_OverlappedLayer.h.

IntSize MyGUI::OverlappedLayer::mViewSize
| protected

Definition at line 61 of file MyGUI_OverlappedLayer.h.

The documentation for this class was generated from the following files:

- MyGUI_OverlappedLayer.h
- MyGUI_OverlappedLayer.cpp